program main
end

!error: function name and result name cannot be the same
 PURE  RECURSIVE   FUNCTION   p(f) RESULT (p)  
!error: in pure function, p cannot be EXTERNAL and p must have INTENT attribute
	EXTERNAL f
	POINTER f
end
